%define name scotty
%define version 2.1.9
%define release 2mdk

Summary: A Tcl extension to build network management applications
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: Freely redistributable and modifiable
Group: Development/Other
Source: %{name}-%{version}.tar.bz2
Patch: scotty-2.1.9-linux.patch.bz2
BuildRoot: /var/tmp/%{name}-buildroot
Packager: Sandor Takacs <taki@cloud.matav.sulinet.hu>

%description
Scotty is a Tcl extension to build network management applications
using Tcl (and Tk). The scotty extension provides new Tcl commands to:

        - send and receive ICMP packets
        - query the Domain Name System (DNS)
        - access UDP sockets from Tcl
        - probe and use some selected SUN RPCs
        - retrieve and serve documents via HTTP
        - send and reveice SNMP messages (SNMPv1, SNMPv2USEC, SNMPv2C)
        - write special purpose SNMP agents in Tcl
        - parse and access SNMP MIB definitions
        - schedule jobs that are to be done regularly

%package suid
Summary: Two Scotty SUID root utilities (for pinging, and receiving SNMP traps)
Requires: scotty = 2.1.9
Group: Development/Other

%description suid
These two small utilities are used by Scotty to send ICMP packets
(pings and such) and for receiving SNMP traps (which requires
listening to a priviledged port).  Since they are SUID root, they are
packaged separately from the main distribution so the user has the
option not to install them.

%package tkined
Summary: an interactive network editor for network management applications
Requires: scotty = 2.1.9
Group: Development/Other

%description tkined
Tkined is a network editor which allows to draw maps showing your
network configuration. The most important feature of Tkined is its
programming interface which allows network management applications to
extend the capabilities of Tkined. Most applications for Tkined are
written using scotty.

%prep
rm -rf $RPM_BUILD_ROOT

%setup
%patch -p1

%build
cd unix
./configure --prefix=/usr
make

%install
cd unix
make prefix=$RPM_BUILD_ROOT/usr exec_prefix=$RPM_BUILD_ROOT/usr install
make prefix=$RPM_BUILD_ROOT/usr exec_prefix=$RPM_BUILD_ROOT/usr sinstall
cd ..

mv unix/README README.unix
mv tnm/changes tnm.changes
mv tkined/changes tkined.changes

rm -f $RPM_BUILD_ROOT/usr/bin/scotty $RPM_BUILD_ROOT/usr/bin/tkined
ln -s scotty2.1.9 $RPM_BUILD_ROOT/usr/bin/scotty
ln -s tkined2.1.9 $RPM_BUILD_ROOT/usr/bin/tkined
cp -pr $RPM_BUILD_ROOT/usr/lib/tnm2.1.9/examples .
rm -r $RPM_BUILD_ROOT/usr/lib/tnm2.1.9/examples

%files
%defattr (-,root,root)
%doc TODO
%doc README
%doc README.unix
%doc license.terms
%doc tnm.changes
%doc examples

/usr/bin/scotty
/usr/bin/scotty2.1.9
/usr/lib/tnm2.1.9.so

%dir /usr/lib/tnm2.1.9
/usr/lib/tnm2.1.9/agents
/usr/lib/tnm2.1.9/library
/usr/lib/tnm2.1.9/mibs
/usr/lib/tnm2.1.9/pkgIndex.tcl

/usr/man/man1/*
/usr/man/mann/

%files suid
%defattr (-,root,root)
/usr/bin/straps
/usr/bin/ntping
/usr/man/man8/*

%files tkined
%defattr (-,root,root)
%doc TODO
%doc README
%doc README.unix
%doc license.terms
%doc tkined.changes

/usr/bin/tkined
/usr/bin/tkined1.4.9
/usr/lib/tkined1.4.9
/usr/lib/tkined1.4.9.so
/usr/man/man1/*

%post
echo "Precompiling MIBs..."
echo 'foreach f $tnm(mibs) {puts "Parsing $f"; mib load $f}; exit' | scotty


%changelog
* Wed May 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.1.9-2mdk
- fix group
- bzip2 patch

* Tue Feb 29 2000 Lenny Cartier <lenny@mandrakesoft.com>
- used srpm provided by Sandor Takacs <taki@cloud.matav.sulinet.hu>
- fixed the files section
- bzip2 archive
